#include <cmath>
#include "Log.hpp"
#include "Sand.hpp"
#include "Collider.hpp"

Sand::Sand(Collider* collider): m_collider(collider) {
 
}

void Sand::update(float delta) {
    m_collider->setBlock((getPosition().x + 16.f - m_collider->getLocalX()) / 32.f, (getPosition().y) / 32.f, Collider::SAND);
	m_collider->setBlock((getPosition().x + 16.f - m_collider->getLocalX()) / 32.f, (getPosition().y + 31.f) / 32.f, Collider::SAND);
}
